For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetAccountInfo
        • POSTSetAccountInfo
        • POSTSetChildAccountInfo
        • POSTGetCurrencyRate
        • POSTGetResourcePrice
        • POSTGetSubscriptionPrice
        • POSTGetChildrenAccounts
        • POSTGetMoneyAmountToCharge
        • POSTChangeAccountPlan
        • POSTGetAccountPlans
        • POSTGetAvailablePlans
        • POSTGetAccountDocuments
        • POSTGetAccountVerifications
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAccounts

GetSubscriptionPrice

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetSubscriptionPrice
POST
/platform_api/GetSubscriptionPrice
$curl -X POST https://api.voximplant.com/platform_api/GetSubscriptionPrice \
> -H "Authorization: Bearer <token>"
200Success
1{
2 "result": [
3 {
4 "subscription_template_id": 20,
5 "installation_price": 0,
6 "price": 293.855,
7 "period": "0-1-0 0:0:0",
8 "subscription_template_type": "PHONE_NUM",
9 "subscription_template_name": "Phone BG"
10 },
11 {
12 "subscription_template_id": 6,
13 "installation_price": 3000,
14 "price": 1500,
15 "period": "0-1-0 0:0:0",
16 "subscription_template_type": "PHONE_NUM",
17 "subscription_template_name": "Phone RU TollFree"
18 },
19 {
20 "subscription_template_id": 53,
21 "installation_price": 0,
22 "price": 587.71,
23 "period": "0-1-0 0:0:0",
24 "subscription_template_type": "SIP_REGISTRATION",
25 "subscription_template_name": "SIP registration"
26 }
27 ],
28 "total_count": 51,
29 "count": 3
30}

Gets the subscription template price.

Example request: Get the all subscription template prices.

Was this page helpful?
Previous

GetResourcePrice

Next

GetChildrenAccounts

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

subscription_template_idlist of integersOptional

The subscription template ID list separated by semicolons (;)

subscription_template_typestringOptional

The subscription template type. The following values are possible: PHONE_NUM, SIP_REGISTRATION

subscription_template_namestringOptional

The subscription template name (example: SIP registration, Phone GB, Phone RU 495, …)

countintegerOptional
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objects
The subscription template prices
total_countinteger
countinteger